Loading...
Searching...
No Matches
streamoperators.hh File Reference

Implementation of stream operators for std::array and std::tuple. More...

`#include <array>`
`#include <tuple>`
`#include <utility>`
`#include <dune/common/hybridutilities.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<typename... Ts>
std::ostream & | Dune::operator<< (std::ostream &stream, const std::tuple< Ts... > &t)
| Print a std::tuple.
template<typename... Ts>
std::istream & | Dune::operator>> (std::istream &stream, std::tuple< Ts... > &t)
| Read a std::tuple.
template<typename T, std::size_t N>
std::ostream & | Dune::operator<< (std::ostream &stream, const std::array< T, N > &a)
| Print a std::array.

## Detailed Description

Implementation of stream operators for std::array and std::tuple.